%define apiver %(echo %version | cut -d. -f1-2)
Name:          libvisio
Version:       0.1.3
Release:       1mamba
Summary:       A library providing ability to interpret and import visio diagrams into various applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freedesktop.org/wiki/Software/libvisio
Source:        http://dev-www.libreoffice.org/src/libvisio-%{version}.tar.bz2
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
BuildRequires: doxygen
BuildRequires: libwpd-devel >= 0.10
BuildRequires: libwpg-devel >= 0.3.0
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%debug_package

%description
Libvisio is a library providing ability to interpret and import visio diagrams into various applications. You can find it being used in libreoffice.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Graphics
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libvisio-%{apiver}.so.*
%doc AUTHORS

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libvisio-%{apiver}
%dir %{_includedir}/libvisio-%{apiver}/libvisio
%{_includedir}/libvisio-%{apiver}/libvisio/*.h
%{_libdir}/libvisio-%{apiver}.la
%{_libdir}/libvisio-%{apiver}.so
%{_libdir}/pkgconfig/libvisio-%{apiver}.pc
%dir %{_datadir}/doc/libvisio
%dir %{_datadir}/doc/libvisio/html
%{_datadir}/doc/libvisio/html/*
%doc ChangeLog

%files tools
%defattr(-,root,root)
%{_bindir}/vsd2raw
%{_bindir}/vsd2xhtml
%{_bindir}/vsd2text
%{_bindir}/vss2raw
%{_bindir}/vss2text
%{_bindir}/vss2xhtml

%changelog
* Tue Jul 28 2015 Automatic Build System <autodist@mambasoft.it> 0.1.3-1mamba
- automatic version update by autodist

* Sun Jan 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-1mamba
- update to 0.1.1

* Sat Jul 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-2mamba
- rebuilt with libwpd 0.10 and libwpg 0.3.0

* Tue Jun 17 2014 Automatic Build System <autodist@mambasoft.it> 0.1.0-1mamba
- automatic version update by autodist

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 0.0.31-1mamba
- automatic update by autodist

* Sat Jul 20 2013 Automatic Build System <autodist@mambasoft.it> 0.0.30-1mamba
- automatic update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 0.0.28-1mamba
- automatic version update by autodist

* Thu May 16 2013 Automatic Build System <autodist@mambasoft.it> 0.0.26-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Automatic Build System <autodist@mambasoft.it> 0.0.25-1mamba
- automatic version update by autodist

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 0.0.24-1mamba
- automatic version update by autodist

* Fri Nov 16 2012 Automatic Build System <autodist@mambasoft.it> 0.0.20-1mamba
- automatic version update by autodist

* Tue Aug 21 2012 Automatic Build System <autodist@mambasoft.it> 0.0.19-1mamba
- automatic version update by autodist

* Wed Mar 21 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.15-1mamba
- package created by autospec
